function [I_sig_el, I_pi_el, I_sig_mg, I_pi_mg] = azi_sim(wt, phi)
%%this function is used to simulate the bare azimuthal dependence without
%%considering self-absorption
syms x;
Rtot=[cosd(wt)*cos(x/180*pi), -cosd(wt)*sin(x/180*pi), -sind(wt); sin(x/180*pi), cos(x/180*pi), 0;...
    sind(wt)*cos(x/180*pi), -sind(wt)*sin(x/180*pi), cosd(wt)];
%symbolic expression of the rotation matrix
ei1=[0; 1; 0]; %sigam in
ei2=[0.9063; 0; 0.4226]; %pi in
ef2=[0.9063; 0; -0.4226]; %pi out
ef1=[0; 1; 0]; %sigma out
Ff_el=[2, 0, 0; 0, 2, 0; 0, 0, 0];
Ff_mg=[0, 1i, 0; -1i, 0, 0; 0, 0, 0];
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

Evv=ef1.'*transpose(Rtot)*Ff_el*Rtot*ei1;%elastic transition matrix for sigma to sigma, sympolic expression
Evh=ef2.'*transpose(Rtot)*Ff_el*Rtot*ei1;
Ehv=ef1.'*transpose(Rtot)*Ff_el*Rtot*ei2;
Ehh=ef2.'*transpose(Rtot)*Ff_el*Rtot*ei2;

Ivv_el=abs(double(subs(Evv, phi))).^2;
Ivh_el=abs(double(subs(Evh, phi))).^2;
Ihv_el=abs(double(subs(Ehv, phi))).^2;
Ihh_el=abs(double(subs(Ehh, phi))).^2;
I_sig_el=Ivv_el+Ivh_el;
I_pi_el=Ihv_el+Ihh_el;

Mvv=ef1.'*transpose(Rtot)*Ff_mg*Rtot*ei1;%magnetic transition matrix for sigma to sigma, sympolic expression
Mvh=ef2.'*transpose(Rtot)*Ff_mg*Rtot*ei1;
Mhv=ef1.'*transpose(Rtot)*Ff_mg*Rtot*ei2;
Mhh=ef2.'*transpose(Rtot)*Ff_mg*Rtot*ei2;

Ivv_mg=abs(double(subs(Mvv, phi))).^2;
Ivh_mg=abs(double(subs(Mvh, phi))).^2;
Ihv_mg=abs(double(subs(Mhv, phi))).^2;
Ihh_mg=abs(double(subs(Mhh, phi))).^2;
I_sig_mg=Ivv_mg+Ivh_mg;
I_pi_mg=Ihv_mg+Ihh_mg;

end
