function scdcomp_check(Erange, AIb1, AIb2, err1, err2, ex, Ievsim, Iehsim, Imvsim, Imhsim, wcv, wmv, phi1, phi2)

[~, Ep] = min( abs( Erange-ex ) );

Ievp=(wcv(Ep-1).*Ievsim(Ep-1, :)+wcv(Ep).*Ievsim(Ep, :)+wcv(Ep+1).*Ievsim(Ep+1, :))./3;
Imvp=(wmv(Ep-1).*Imvsim(Ep-1, :)+wmv(Ep).*Imvsim(Ep, :)+wmv(Ep+1).*Imvsim(Ep+1, :))./3;
Ivp=Ievp+Imvp;
AIb1ave=(AIb1(Ep-1,:)+AIb1(Ep,:)+AIb1(Ep+1,:))./3;
err1ave=sqrt((err1(Ep-1,:).^2+err1(Ep,:).^2+err1(Ep+1,:).^2)./3);

Iehp=(wcv(Ep-1).*Iehsim(Ep-1, :)+wcv(Ep).*Iehsim(Ep, :)+wcv(Ep+1).*Iehsim(Ep+1, :))./3;
Imhp=(wmv(Ep-1).*Imhsim(Ep-1, :)+wmv(Ep).*Imhsim(Ep, :)+wmv(Ep+1).*Imhsim(Ep+1, :))./3;
AIb2ave=(AIb2(Ep-1,:)+AIb2(Ep,:)+AIb2(Ep+1,:))./3;
err2ave=sqrt((err2(Ep-1,:).^2+err2(Ep,:).^2+err2(Ep+1,:).^2)./3);
Ihp=Iehp+Imhp;

figure;
subplot(2, 1, 1)
errorbar(phi1, AIb1ave, err1ave, 'bo', 'linewidth', 1);
hold on
plot(phi1, Ievp, 'r-', 'linewidth', 1);
hold on
plot(phi1, Imvp, 'g-', 'linewidth', 1);
hold on
plot(phi1, Ivp, 'k-', 'linewidth', 1);
hold off
xlabel('\phi ( deg )','FontSize',16);
ylabel('Intensity','FontSize',16);
legend('measured', 'charge', 'spin', 'total');
title(strcat('E = ', num2str(ex*1000),' meV, LV'));
set(gca,'fontsize',16);

subplot(2, 1, 2)
errorbar(phi2, AIb2ave, err2ave, 'bo', 'linewidth', 1);
hold on
plot(phi2, Iehp, 'r-', 'linewidth', 1);
hold on
plot(phi2, Imhp, 'g-', 'linewidth', 1);
hold on
plot(phi2, Ihp, 'k-', 'linewidth', 1);
hold off
xlabel('\phi ( deg )','FontSize',16);
ylabel('Intensity','FontSize',16);
title(strcat('E = ', num2str(ex*1000),' meV, LH'));
%ylim([0, 55]);
set(gca,'fontsize',16);
set(gcf, 'color', 'white');
set(gcf,'position',[100,50,550,1000]);

end