function [wcv, wmv, errc, errm] = spin_charge_decomp(AIb1, AIb2, err1, err2, Ic1sim, Ic2sim, Im1sim, Im2sim, nn)
%%%% solve the weights of spin and charge excitations, nn specify different
%%%% regression method, for nn=0, the unweighted regression applies, and nn
%%%% =1 , the weighted regression applies with the squares of errors as the
%%%% convariance matrix
nep = size(AIb1, 1);
wcv=zeros(nep,1);
wmv=zeros(nep, 1);
errc=zeros(nep,1);
errm=zeros(nep,1);
switch nn
    case 0
        for ii = 1:nep
            xx = [Ic1sim(ii, :)' Im1sim(ii, :)'];
            [ww, err] = regress(AIb1(ii, :)',xx);
            wcv(ii)=ww(1);
            wmv(ii)=ww(2);
            errc(ii,:) = err(1,:);
            errm(ii,:) = err(2,:);
        end
    case 1
        for ii = 1:nep
            AIb=[AIb1(ii,:) AIb2(ii,:)];
            wi1=[err1(ii,:).^2 err2(ii,:).^2];
            mm = length(wi1);
            cvn = diag(wi1)./sum(wi1).*mm;%normalized corvariance matrixs
            Iesim=[Ic1sim(ii,:) Ic2sim(ii,:)];
            Imsim=[Im1sim(ii,:) Im2sim(ii,:)];
            AA = [Iesim' Imsim'];
            [~, ~, mse1] = lscov(AA, AIb', cvn);%estimate mean square error of the linear regression
            wi2 = wi1 + mse1;
            cv = diag(wi2);% corvariance matrix including the statistic errors and other random errors estimate
                           % by mse1
            [ww, err, mse2] = lscov(AA, AIb', cv);
            wcv(ii)=ww(1);
            wmv(ii)=ww(2);
            %Ierr = [err1(ii,:) rvh.*err2(ii,:)];
            %werr = AA\Ierr';
            errc(ii) = err(1)/sqrt(mse2);
            errm(ii) = err(2)/sqrt(mse2);
        end
end
end